unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,VersionInfo,ExeInformation,ShellApi, ExtCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    LCompanyName: TLabel;
    LFileVersion: TLabel;
    LInternalName: TLabel;
    LLegalCopyright: TLabel;
    LLegalTradeMarks: TLabel;
    LOriginalFilename: TLabel;
    LProductName: TLabel;
    LProductVersion: TLabel;
    LNomProg: TLabel;
    LLangueprog: TLabel;
    LCompilateur: TLabel;
    LVersionCompilateur: TLabel;
    Label15: TLabel;
    LIDLangue: TLabel;
    LClairLangue: TLabel;
    Label17: TLabel;
    LAbbreviationLangue: TLabel;
    Label18: TLabel;
    Label16: TLabel;
    LSignature: TLabel;
    Image: TImage;
    Label19: TLabel;
    Button1: TButton;
    LComments: TMemo;
    Bevel1: TBevel;
    Bevel2: TBevel;
    LFileDescription: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Dclarations prives }
    Procedure Lecture;
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;
  NomAppli:string;
  ExeInfo:TExeInfo;

implementation

{$R *.dfm}
{$R WindowsXP.res}

Procedure TForm1.Lecture;
begin
Form1.Caption:='Info. sur '+NomAppli +' - par Systmd et [SFX]-Zeus';
Image.Picture := NIL;
if ExtractIcon(Form1.Handle, Pchar(NomAppli), 0) > 0 then
  DrawIcon(Image.Canvas.Handle, 0, 0, ExtractIcon(Form1.Handle, Pchar(NomAppli), 0));

LNomProg.Caption:=              NomAppli;

LLangueprog.Caption:=           GetLanguage(NomAppli);

ExeInfo:=TExeInfo.Create(NomAppli);
LCompilateur.Caption:=          ExeInfo.Compilateur;
LVersionCompilateur.Caption:=   ExeInfo.CompilateurVersion;
LSignature.Caption:=            ExeInfo.CompilateurIdVersion;
ExeInfo.Free;

//Option du programme ==> GetVersionInfo(NomAppli,'...');
LCompanyName.Caption:=          GetVersionInfo(NomAppli,'CompanyName');
LFileDescription.Clear;
LFileDescription.Lines.Add(GetVersionInfo(NomAppli,'FileDescription'));
LFileVersion.Caption:=          GetVersionInfo(NomAppli,'FileVersion');
LInternalName.Caption:=         GetVersionInfo(NomAppli,'InternalName');
LLegalCopyright.Caption:=       GetVersionInfo(NomAppli,'LegalCopyright');
LLegalTradeMarks.Caption:=      GetVersionInfo(NomAppli,'LegalTradeMarks');
LOriginalFilename.Caption:=     GetVersionInfo(NomAppli,'OriginalFilename');
LProductName.Caption:=          GetVersionInfo(NomAppli,'ProductName');
LProductVersion.Caption:=       GetVersionInfo(NomAppli,'ProductVersion');
LComments.Clear;
LComments.Lines.Add(GetVersionInfo(NomAppli,'Comments'));
// ...

LIDLangue.Caption:=             GetLocalInfo(Code_Langue);
LClairLangue.Caption:=          GetLocalInfo(Clair_Langue);
LAbbreviationLangue.Caption:=   GetLocalInfo(Abbreviation_Langue);
end;


procedure TForm1.FormCreate(Sender: TObject);
begin
NomAppli:=ExtractFileName(Application.ExeName);
Lecture;
end;

procedure TForm1.Button1Click(Sender: TObject);
var OpenDialog:TOpenDialog;
begin
OpenDialog:=TOpenDialog.Create(self);
OpenDialog.Filter:='Executable (exe, dll)|*.exe;*.dll';
OpenDialog.DefaultExt:='exe';
if OpenDialog.Execute then
   begin
   NomAppli:=ExtractFileName(OpenDialog.FileName);
   Lecture;
   end;
OpenDialog.Free;
end;

end.
