unit VersionInfo;
//--- Ecrit par SystmD



interface

uses Windows,SysUtils;
Const
      Code_Langue           = LOCALE_ILANGUAGE ;
      Clair_Langue          = LOCALE_SLANGUAGE ;
      Abbreviation_Langue   = LOCALE_SABBREVLANGNAME ;

(*)Toute les possibilits *){
LOCALE_ILANGUAGE ,LOCALE_SLANGUAGE ,LOCALE_SENGLANGUAGE ,LOCALE_SABBREVLANGNAME ,LOCALE_SNATIVELANGNAME ,
LOCALE_ICOUNTRY ,LOCALE_SCOUNTRY ,LOCALE_SENGCOUNTRY ,LOCALE_SABBREVCTRYNAME ,LOCALE_SNATIVECTRYNAME ,
LOCALE_IDEFAULTLANGUAGE ,LOCALE_IDEFAULTCOUNTRY ,LOCALE_IDEFAULTCODEPAGE ,LOCALE_SLIST ,LOCALE_IMEASURE ,
LOCALE_SDECIMAL ,LOCALE_STHOUSAND ,LOCALE_SGROUPING ,LOCALE_IDIGITS ,LOCALE_ILZERO ,LOCALE_SNATIVEDIGITS ,
LOCALE_SCURRENCY ,LOCALE_SINTLSYMBOL ,LOCALE_SMONDECIMALSEP ,LOCALE_SMONTHOUSANDSEP ,LOCALE_SMONGROUPING ,
LOCALE_ICURRDIGITS ,LOCALE_IINTLCURRDIGITS ,LOCALE_ICURRENCY ,LOCALE_INEGCURR ,LOCALE_SDATE ,LOCALE_STIME ,
LOCALE_STIMEFORMAT ,LOCALE_SSHORTDATE ,LOCALE_SLONGDATE ,LOCALE_IDATE ,LOCALE_ILDATE ,LOCALE_ITIME ,
LOCALE_ICENTURY ,LOCALE_ITLZERO ,LOCALE_IDAYLZERO ,LOCALE_IMONLZERO ,LOCALE_S1159 ,LOCALE_S2359 ,
LOCALE_SDAYNAME1 ,LOCALE_SDAYNAME2 ,LOCALE_SDAYNAME3 ,LOCALE_SDAYNAME4 ,LOCALE_SDAYNAME5 ,LOCALE_SDAYNAME6 ,
LOCALE_SDAYNAME7 ,LOCALE_SABBREVDAYNAME1 ,LOCALE_SABBREVDAYNAME2 ,LOCALE_SABBREVDAYNAME3 ,LOCALE_SABBREVDAYNAME4 ,
LOCALE_SABBREVDAYNAME5 ,LOCALE_SABBREVDAYNAME6 ,LOCALE_SABBREVDAYNAME7 ,LOCALE_SMONTHNAME1 ,LOCALE_SMONTHNAME2 ,
LOCALE_SMONTHNAME3 ,LOCALE_SMONTHNAME4 ,LOCALE_SMONTHNAME5 ,LOCALE_SMONTHNAME6 ,LOCALE_SMONTHNAME7 ,
LOCALE_SMONTHNAME8 ,LOCALE_SMONTHNAME9 ,LOCALE_SMONTHNAME10 ,LOCALE_SMONTHNAME11 ,LOCALE_SMONTHNAME12 ,
LOCALE_SABBREVMONTHNAME1 ,LOCALE_SABBREVMONTHNAME2 ,LOCALE_SABBREVMONTHNAME3 ,LOCALE_SABBREVMONTHNAME4 ,
LOCALE_SABBREVMONTHNAME5 ,LOCALE_SABBREVMONTHNAME6 ,LOCALE_SABBREVMONTHNAME7 ,LOCALE_SABBREVMONTHNAME8 ,
LOCALE_SABBREVMONTHNAME9 ,LOCALE_SABBREVMONTHNAME10 ,LOCALE_SABBREVMONTHNAME11 ,LOCALE_SABBREVMONTHNAME12 ,
LOCALE_SPOSITIVESIGN ,LOCALE_SNEGATIVESIGN ,LOCALE_IPOSSIGNPOSN ,LOCALE_INEGSIGNPOSN ,LOCALE_IPOSSYMPRECEDES ,
LOCALE_IPOSSEPBYSPACE ,LOCALE_INEGSYMPRECEDES ,LOCALE_INEGSEPBYSPACE ,LOCALE_NOUSEROVERRIDE  }

Type
  TDecodeLangue=record
    Code        : String;
    Abbreviation:String;
    Clair       :string;
  end;
const
   DecodeLangue:array [0..121] of TDecodeLangue=(
                (Code:'0001';Abbreviation:'ar';Clair:'Arabic'),
                (Code:'0004';Abbreviation:'zh';Clair:'Chinese'),
                (Code:'0009';Abbreviation:'en';Clair:'English'),
                (Code:'0401';Abbreviation:'ar-sa';Clair:'Arabic (Saudi Arabia)'),
                (Code:'0402';Abbreviation:'bg';Clair:'Bulgarian'),
                (Code:'0403';Abbreviation:'ca';Clair:'Catalan'),
                (Code:'0404';Abbreviation:'zh-tw';Clair:'Chinese (Taiwan)'),
                (Code:'0405';Abbreviation:'cs';Clair:'Czech'),
                (Code:'0406';Abbreviation:'da';Clair:'Danish'),
                (Code:'0407';Abbreviation:'de';Clair:'German (Germany)'),
                (Code:'0408';Abbreviation:'el';Clair:'Greek'),
                (Code:'0409';Abbreviation:'en-us';Clair:'English (United States)'),
                (Code:'040A';Abbreviation:'es';Clair:'Spanish (Traditional Sort)'),
                (Code:'040B';Abbreviation:'fi';Clair:'Finnish'),
                (Code:'040C';Abbreviation:'fr';Clair:'French (France)'),
                (Code:'040D';Abbreviation:'he';Clair:'Hebrew'),
                (Code:'040E';Abbreviation:'hu';Clair:'Hungarian'),
                (Code:'040F';Abbreviation:'is';Clair:'Icelandic'),
                (Code:'0410';Abbreviation:'it';Clair:'Italian (Italy)'),
                (Code:'0411';Abbreviation:'ja';Clair:'Japanese'),
                (Code:'0412';Abbreviation:'ko';Clair:'Korean'),
                (Code:'0413';Abbreviation:'nl';Clair:'Dutch (Netherlands)'),
                (Code:'0414';Abbreviation:'no';Clair:'Norwegian (Bokmal)'),
                (Code:'0415';Abbreviation:'pl';Clair:'Polish'),
                (Code:'0416';Abbreviation:'pt-br';Clair:'Portuguese (Brazil)'),
                (Code:'0417';Abbreviation:'rm';Clair:'Rhaeto-Romanic'),
                (Code:'0418';Abbreviation:'ro';Clair:'Romanian'),
                (Code:'0419';Abbreviation:'ru';Clair:'Russian'),
                (Code:'041A';Abbreviation:'hr';Clair:'Croatian'),
                (Code:'041B';Abbreviation:'sk';Clair:'Slovak'),
                (Code:'041C';Abbreviation:'sq';Clair:'Albanian'),
                (Code:'041D';Abbreviation:'sv';Clair:'Swedish'),
                (Code:'041E';Abbreviation:'th';Clair:'Thai'),
                (Code:'041F';Abbreviation:'tr';Clair:'Turkish'),
                (Code:'0420';Abbreviation:'ur';Clair:'Urdu'),
                (Code:'0421';Abbreviation:'in';Clair:'Indonesian'),
                (Code:'0422';Abbreviation:'uk';Clair:'Ukrainian'),
                (Code:'0423';Abbreviation:'be';Clair:'Belarusian'),
                (Code:'0424';Abbreviation:'sl';Clair:'Slovenian'),
                (Code:'0425';Abbreviation:'et';Clair:'Estonian'),
                (Code:'0426';Abbreviation:'lv';Clair:'Latvian'),
                (Code:'0427';Abbreviation:'lt';Clair:'Lithuanian'),
                (Code:'0429';Abbreviation:'fa';Clair:'Farsi'),
                (Code:'042A';Abbreviation:'vi';Clair:'Vietnamese'),
                (Code:'042D';Abbreviation:'eu';Clair:'Basque'),
                (Code:'042E';Abbreviation:'sb';Clair:'Sorbian'),
                (Code:'042F';Abbreviation:'mk';Clair:'FYRO Macedonian'),
                (Code:'0430';Abbreviation:'sx';Clair:'Sutu'),
                (Code:'0431';Abbreviation:'ts';Clair:'Tsonga'),
                (Code:'0432';Abbreviation:'tn';Clair:'Tswana'),
                (Code:'0434';Abbreviation:'xh';Clair:'Xhosa'),
                (Code:'0435';Abbreviation:'zu';Clair:'Zulu'),
                (Code:'0436';Abbreviation:'af';Clair:'Afrikaans'),
                (Code:'0438';Abbreviation:'fo';Clair:'Faeroese'),
                (Code:'0439';Abbreviation:'hi';Clair:'Hindi'),
                (Code:'043A';Abbreviation:'mt';Clair:'Maltese'),
                (Code:'043C';Abbreviation:'gd';Clair:'Gaelic'),
                (Code:'043D';Abbreviation:'ji';Clair:'Yiddish'),
                (Code:'043E';Abbreviation:'ms';Clair:'Malay (Malaysia)'),
                (Code:'0801';Abbreviation:'ar-iq';Clair:'Arabic (Iraq)'),
                (Code:'0804';Abbreviation:'zh-cn';Clair:'Chinese (China)'),
                (Code:'0807';Abbreviation:'de-ch';Clair:'German (Switzerland)'),
                (Code:'0809';Abbreviation:'en-gb';Clair:'English (United Kingdom)'),
                (Code:'080A';Abbreviation:'es-mx';Clair:'Spanish (Mexico)'),
                (Code:'080C';Abbreviation:'fr-be';Clair:'French (Belgium)'),
                (Code:'0810';Abbreviation:'it-ch';Clair:'Italian (Switzerland)'),
                (Code:'0813';Abbreviation:'nl-be';Clair:'Dutch (Belgium)'),
                (Code:'0814';Abbreviation:'no';Clair:'Norwegian (Nynorsk)'),
                (Code:'0816';Abbreviation:'pt';Clair:'Portuguese (Portugal)'),
                (Code:'0818';Abbreviation:'ro-mo';Clair:'Romanian (Moldova)'),
                (Code:'0819';Abbreviation:'ru-mo';Clair:'Russian (Moldova)'),
                (Code:'081A';Abbreviation:'sr';Clair:'Serbian (Latin)'),
                (Code:'081D';Abbreviation:'sv-fi';Clair:'Swedish (Finland)'),
                (Code:'0C01';Abbreviation:'ar-eg';Clair:'Arabic (Egypt)'),
                (Code:'0C04';Abbreviation:'zh-hk';Clair:'Chinese (Hong Kong SAR)'),
                (Code:'0C07';Abbreviation:'de-at';Clair:'German (Austria)'),
                (Code:'0C09';Abbreviation:'en-au';Clair:'English (Australia)'),
                (Code:'0C0A';Abbreviation:'es';Clair:'Spanish (International Sort)'),
                (Code:'0C0C';Abbreviation:'fr-ca';Clair:'French (Canada)'),
                (Code:'0C1A';Abbreviation:'sr';Clair:'Serbian (Cyrillic)'),
                (Code:'1001';Abbreviation:'ar-ly';Clair:'Arabic (Libya)'),
                (Code:'1004';Abbreviation:'zh-sg';Clair:'Chinese (Singapore)'),
                (Code:'1007';Abbreviation:'de-lu';Clair:'German (Luxembourg)'),
                (Code:'1009';Abbreviation:'en-ca';Clair:'English (Canada)'),
                (Code:'100A';Abbreviation:'es-gt';Clair:'Spanish (Guatemala)'),
                (Code:'100C';Abbreviation:'fr-ch';Clair:'French (Switzerland)'),
                (Code:'1401';Abbreviation:'ar-dz';Clair:'Arabic (Algeria)'),
                (Code:'1407';Abbreviation:'de-li';Clair:'German (Liechtenstein)'),
                (Code:'1409';Abbreviation:'en-nz';Clair:'English (New Zealand)'),
                (Code:'140A';Abbreviation:'es-cr';Clair:'Spanish (Costa Rica)'),
                (Code:'140C';Abbreviation:'fr-lu';Clair:'French (Luxembourg)'),
                (Code:'1801';Abbreviation:'ar-ma';Clair:'Arabic (Morocco)'),
                (Code:'1809';Abbreviation:'en-ie';Clair:'English (Ireland)'),
                (Code:'180A';Abbreviation:'es-pa';Clair:'Spanish (Panama)'),
                (Code:'1C01';Abbreviation:'ar-tn';Clair:'Arabic (Tunisia)'),
                (Code:'1C09';Abbreviation:'en-za';Clair:'English (South Africa)'),
                (Code:'1C0A';Abbreviation:'es-do';Clair:'Spanish (Dominican Republic)'),
                (Code:'2001';Abbreviation:'ar-om';Clair:'Arabic (Oman)'),
                (Code:'2009';Abbreviation:'en-jm';Clair:'English (Jamaica)'),
                (Code:'200A';Abbreviation:'es-ve';Clair:'Spanish (Venezuela)'),
                (Code:'2401';Abbreviation:'ar-ye';Clair:'Arabic (Yemen)'),
                (Code:'240A';Abbreviation:'es-co';Clair:'Spanish (Colombia)'),
                (Code:'2801';Abbreviation:'ar-sy';Clair:'Arabic (Syria)'),
                (Code:'2809';Abbreviation:'en-bz';Clair:'English (Belize)'),
                (Code:'280A';Abbreviation:'es-pe';Clair:'Spanish (Peru)'),
                (Code:'2C01';Abbreviation:'ar-jo';Clair:'Arabic (Jordan)'),
                (Code:'2C09';Abbreviation:'en-tt';Clair:'English (Trinidad)'),
                (Code:'2C0A';Abbreviation:'es-ar';Clair:'Spanish (Argentina)'),
                (Code:'3001';Abbreviation:'ar-lb';Clair:'Arabic (Lebanon)'),
                (Code:'300A';Abbreviation:'es-ec';Clair:'Spanish (Ecuador)'),
                (Code:'3401';Abbreviation:'ar-kw';Clair:'Arabic (Kuwait)'),
                (Code:'340A';Abbreviation:'es-cl';Clair:'Spanish (Chile)'),
                (Code:'3801';Abbreviation:'ar-ae';Clair:'Arabic (U.A.E.)'),
                (Code:'380A';Abbreviation:'es-uy';Clair:'Spanish (Uruguay)'),
                (Code:'3C01';Abbreviation:'ar-bh';Clair:'Arabic (Bahrain)'),
                (Code:'3C0A';Abbreviation:'es-py';Clair:'Spanish (Paraguay)'),
                (Code:'4001';Abbreviation:'ar-qa';Clair:'Arabic (Qatar)'),
                (Code:'400A';Abbreviation:'es-bo';Clair:'Spanish (Bolivia)'),
                (Code:'440A';Abbreviation:'es-sv';Clair:'Spanish (El Salvador)'),
                (Code:'480A';Abbreviation:'es-hn';Clair:'Spanish (Honduras)'),
                (Code:'4C0A';Abbreviation:'es-ni';Clair:'Spanish (Nicaragua)'),
                (Code:'500A';Abbreviation:'es-pr';Clair:'Spanish (Puerto Rico)'));


type

     TVerInfoHeader = record
           Len: Word;
           ValueLen: Word;
           DataType: Word;
           Key: String;
     end;

     PLangIdRec = ^TLangIdRec;
     TLangIdRec = packed record
          case Integer of
            0: (LangId: Word;CodePage: Word);
            1: (Pair: DWORD);
            end;

     TVerInfoFixed = record
           FixedInfo: TVSFixedFileInfo;
           LangIdRec: TLangIdRec;
     end;


{Dclaration des Fonctions}
  function GetLocalInfo(NomInfo:Cardinal):string;
  procedure Padding(var P: PChar);
  function GetHeader(var P: PChar): TVerInfoHeader;
  function GetFixedInfo(var P: PChar): TVerInfoFixed;
  function GetVersionInfo(AppName: String;Name: String): string;
  function GetIDLang(AppName: String): string;
  function GetLanguage(AppName: String):string;



  
  
implementation
//******************************************************************************
function GetLanguage(AppName: String) :string;
var i: integer;
begin
for i:=0 to 121 do
   if DecodeLangue[i].Code =  GetIDLang(AppName) then
     begin
     result:=DecodeLangue[i].Code +' - '+
                          DecodeLangue[i].Abbreviation+' - '+
                          DecodeLangue[i].Clair;
     end;
end;
//******************************************************************************
function GetLocalInfo(NomInfo:Cardinal):string;
var TailleBuffer:integer;
begin
(*Taille buffer ncessaire*)
TailleBuffer:= GetLocaleInfo( LOCALE_USER_DEFAULT, NomInfo , nil , 0 );
SetLength( result , TailleBuffer );
(*Rcupre l'info*)
GetLocaleinfo( LOCALE_USER_DEFAULT, NomInfo , PChar( result ) , TailleBuffer );
end;
//******************************************************************************

procedure Padding(var P: PChar);
begin
    while DWORD(P) and 3 <> 0 do Inc(P);
end;
//******************************************************************************
function GetHeader(var P: PChar): TVerInfoHeader;
var
  TempKey: PWideChar;
begin
  Result.Len := PWord(P)^;
  if Result.Len = 0 then
  begin
    Exit;
  end;
  Inc(P, SizeOf(Word));
  Result.ValueLen := PWord(P)^;
  Inc(P, SizeOf(Word));
  Result.DataType := PWord(P)^;
  Inc(P, SizeOf(Word));
  TempKey := PWideChar(P);
  Inc(P, (lstrlenW(TempKey) + 1) * SizeOf(WideChar));
  Result.Key := TempKey;
  Padding(P);
end;
//******************************************************************************
function GetFixedInfo(var P: PChar): TVerInfoFixed;
var IH: TVerInfoHeader;
begin
  IH:=GetHeader(P);
  FillChar(Result,SizeOf(TVerInfoFixed),#0);
  if IH.Key='VS_VERSION_INFO' then
  begin
    Result.FixedInfo:=PVSFixedFileInfo(P)^;
    Inc(P,IH.ValueLen);
    Padding(P);
    IH:=GetHeader(P);
    Inc(P,IH.ValueLen);
    if IH.Key = 'StringFileInfo' then
    begin
      IH:=GetHeader(P);
      Padding(P);
      Result.LangIdRec.LangId := StrToIntDef('$' + Copy(IH.Key, 1, 4), 0);
      Result.LangIdRec.CodePage := StrToIntDef('$' + Copy(IH.Key, 5, 4), 0);
    end;
  end;
end;
//******************************************************************************
function GetVersionInfo(AppName: String;Name: String): string;
var
    Handle,Size1,Size2: DWORD;
    Buf,Info,IBuf: PChar;
    VeIn: String;
    VIF: TVerInfoFixed;
    LocaleStr: String;
begin
  Size1:=GetFileVersionInfoSize(PChar(AppName),Handle);
  GetMem(Buf,Size1);
  if GetFileVersionInfo(PChar(AppName),Handle,Size1,Buf) then
  begin
    IBuf:=Pointer(Buf);
    VIF:=GetFixedInfo(IBuf);
    LocaleStr:=IntToHex(VIF.LangIdRec.LangId,4)+IntToHex(VIF.LangIdRec.CodePage,4);
    if VerQueryValue(Buf,PChar('\\StringFileInfo\\'+LocaleStr+'\\'+Name),Pointer(Info),Size2) then
    begin
      VeIn:=Info;
      Result:=VeIn;
    end else Result:='';
  end else Result:='';
  FreeMem(Buf,Size1);
end;

//******************************************************************************
function GetIDLang(AppName: String): string;
var Taille, Handle :Dword;
    Buf,IBuf :Pchar;
    VIF: TVerInfoFixed;
begin
  Taille:=GetFileVersionInfoSize(PChar(AppName),Handle);
  GetMem(Buf,Taille);
  if GetFileVersionInfo(PChar(AppName),Handle,Taille,Buf) then
    begin
    IBuf:=Pointer(Buf);
    VIF:=GetFixedInfo(IBuf);
    result:=IntToHex(VIF.LangIdRec.LangId,4);
    end;
  FreeMem(Buf,Taille);
end;
//******************************************************************************

end.
